
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jsp response.sendRedirect不跳转的原因分析及解决_JSP编程 / iVAN</title>

    <meta name="description" content="jsp response.sendRedirect不跳转的原因分析及解决_JSP编程 最近做项目时遇到一个问题,明明加了response.sendRedirect() ,系统也执行了,但是它就是不跳转;最后在网上找到原因如下: 首先我们要明白用response.sendRedirect做转向的原理,它其实是向浏览器发送一个特殊的Header,然后由浏览器来做转向,转到指定的页面,所以用sendRedirect时,浏览器的地址栏上可以看到地址的变化. 用&lt;jsp:forward page=&quot;&quot;/&gt;则不同,它是直接在server做的,浏览器并不知道,也 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jsp response.sendRedirect不跳转的原因分析及解决_JSP编程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>最近做项目时遇到一个问题,明明加了response.sendRedirect() ,系统也执行了,但是它就是不跳转;最后在网上找到原因如下:</p>
<p>首先我们要明白用response.sendRedirect做转向的原理，它其实是向浏览器发送一个特殊的Header，然后由浏览器来做转向，转到指定的页面，所以用sendRedirect时，浏览器的地址栏上可以看到地址的变化。 <br />用&lt;jsp:forward page=""/&gt;则不同，它是直接在server做的，浏览器并不知道，也不和浏览器打交道，这从浏览器的地址并不变化可以看出。</p>
<p><strong>所以使用response.sendRedirect时就需要注意以下两点：</strong></p>
<p>1、在使用response.sendRedirect时，前面不能有HTML输出。</p>
<p>这并不是绝对的，不能有HTML输出其实是指不能有HTML被送到了浏览器。事实上现在的server都有cache机制，一般在8K（我是说JSP　SERVER），这就意味着，除非你关闭了cache，或者你使用了out.flush()强制刷新，那么在使用sendRedirect之前，有少量的HTML输出也是允许的。 <br />如果报错说，“一些信息已经被submitted”（原文忘了），那么，你就要注意看了，前面是不是有过多的HTML输出了。</p>
<p>2、在response.sendRedirect之后，应该紧跟一句return;</p>
<p>我们已经知道response.sendRedirect是通过浏览器来做转向的，所以只有在页面处理完成后，才会有实际的动作。既然你已经要做转向了，那么后的输出还有什么意义呢？而且有可能会因为后面的输出导致转向失败。</p>
<p>&lt;%@ include file="/page/checkLogin.jsp" %&gt;这个放在要验证的页面的第一句。</p>
<p>checkLogin.jsp 内容是通过看session 里面有没登陆用户的内容来判断是否登录， 如果没有，那么跳转到登陆页面：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%&gt; <br />&lt;% <br />if (session.getAttribute("userinfo") == null) {</p>
<p>response.sendRedirect(url);</p>
<p>return; <br />} <br />%&gt;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 05:17:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/response/" title="response">response</a>, <a href="https://www.iamivan.net/tag/sendredirect/" title="sendredirect">sendredirect</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8d%e8%b7%b3%e8%bd%ac/" title="不跳转">不跳转</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jsp response.sendRedirect不跳转的原因分析及解决_JSP编程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr8PEp.html" rel="bookmark">jsp response&period;sendRedirect不跳转的原因分析及解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近做项目时遇到一个问题,明明加了response.sendRedirect() ,系统也执行了,但是它就是不跳转;最后在网上找到原因如下: 首先我们要明白用response.sendRedirect做转向的原理,它其实是向浏览器发送一个特殊的Header,然后由浏览器来做转向,转到指定的页面,所以用sendRedirect时,浏览器的地址栏上可以看到地址的变化. 用&lt;jsp:forward page=&quot;&quot;/&gt;则不同,它是直接在server做的,浏览器并不知道,也不和浏览器			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPZEQ1b.html" rel="bookmark">ajax动态为a标签href赋值不执行跳转的原因分析及解决&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于一中考评系统要加入一个新的功能&quot;调查问卷&quot;,我想沿用别人做好的调查问卷,用别人的有一个好处就是:人家做的专业,界面美化等非常人性化,但是它需要你每次设置完调查问卷后发布一下网址,客户端访问的每次都是变动的地址. 客户端每次点击&quot;调查问卷&quot;,就会跳转到相应页面:  点击&quot;调查问卷&quot;即进入调查问卷页面:  我使用a 标签,每次访问管理员提交的&quot;调查问卷&quot; 复制代码 代码如下: &lt;li&gt;&lt;a href=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9XOqKb.html" rel="bookmark">ajax动态为a标签href赋值不执行跳转的原因分析及解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于一中考评系统要加入一个新的功能&quot;调查问卷&quot;,我想沿用别人做好的调查问卷,用别人的有一个好处就是:人家做的专业,界面美化等非常人性化,但是它需要你每次设置完调查问卷后发布一下网址,客户端访问的每次都是变动的地址. 客户端每次点击&quot;调查问卷&quot;,就会跳转到相应页面:   点击&quot;调查问卷&quot;即进入调查问卷页面:   我使用a 标签,每次访问管理员提交的&quot;调查问卷&quot; 复制代码 代码如下: &lt;li&gt;&lt;a href=&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1BoG9p.html" rel="bookmark">JSP&plus;Servlet制作Java Web登录功能的全流程解析&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0.新建web项目首先,在MyEclipse里新建java web项目,项目名为login.此时,项目中包含一个src文件夹和一个WebRoot文件夹,以及Java Web自带的JRE库文件夹和J2EE库文件夹.其中,在WebRoot文件夹下,包含了WEB-INF文件夹和一个index.jsp页面文件. 接下来,新建一个JSP页面,命名为login.jsp. 项目文件的结构如下: 1.设计login.jsp页面打开login.jsp页面后,修改第一行的代码为pageEncoding=&quot;utf-8			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlk7Ap.html" rel="bookmark">后端接收不到AngularJs中&dollar;http&period;post发送的数据原因分析及解决办法&lowbar;AngularJS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.问题: 后端接收不到AngularJs中$http.post发送的数据,总是显示为null 示例代码: $http.post(/admin/KeyValue/GetListByPage, { pageindex: 1, pagesize: 8 }) .success(function(){ alert(&quot;Mr靖&quot;); }); 代码没有错,但是在后台却接收不到数据,这是为什么呢? 用火狐监控:参数是JSON格式 用谷歌监控:传参方式是request payload 可以发现传参方式是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqaQ32M.html" rel="bookmark">PHP Header失效的原因分析及解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在PHP中用header(&quot;location:test.php&quot;)进行跳转要注意以下几点: 1.location和&quot;:&quot;号间不能有空格,否则会出错. 2.在用header前不能有任何的输出,包括include的页面中标签&quot;?&gt;&quot;后不能有空格!! 3.header后的PHP代码还会被执行. 续: 问题:header函数前输入内容 一般来说在header函数前不能输出html内容,类似的还有setcookie() 和 session 函数,这些			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp8w6PM.html" rel="bookmark">引起网站被降权的四点原因分析及解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站被降权,是仅次于网站被K的比较严重的事情,如果网站被降权了,在百度domain网站域名不在首位,关键词排名下降.相信这个判断方法大家都知道,我就不废话了,直接奔今天的话题,引起网站被降权的四点原因分析及解决办法: 一 .服务器不稳定或打开太慢造成的.服务器不稳定,导致网站总是打不开.买服务器,一要看速度,而要看稳定性,做国内的最好买国内的服务器,国外的服务器普遍没有国内的服务器访问速度快,有的人嫌备案麻烦,就用国外的服务器,其实如果不是快速备案,走正常的备案流程,网站内容不违法,网站的备案不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6eZLXb.html" rel="bookmark">win7蓝屏的原因分析及解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				蓝屏很多时候都是突然发生的,大多数是发生在你玩游戏的时候.很多时候是由于CPU一下子处理不过来,或者电脑脑脾气了.像中毒.中木马之类的蓝屏现在已经很好很好了,当然除非你的电脑是裸机,这才有可能. 1 如果是在玩游戏或者电脑弄很多东西的时候,蓝屏而且只有一.两次,当然你如果下次还开那么多东西,那么肯定是再次蓝屏了. 一般情况下都是由于CPU超频,或者内存不足,你可以买条大的内存装上去,基本上就没问题了.也有的时候是你电脑太热了导致CPU一直超频,然后蓝屏了. 2 有的时候也有可能是一些软件的不兼容			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWX78ep.html" rel="bookmark">电脑中无法打开网页并提示堆栈溢出的原因分析及解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  电脑中无法打开网页并提示堆栈溢出的原因分析及解决方法 1.函数调用层次过深,每调用一次,函数的参数.局部变量等信息就压一次栈; 2.局部静态变量体积太大. 解决方法: 1.按win+r打开运行,输入cmd,并按回车; 2.打开命令提示符后,分别输入并执行以下命令: regsvr32 atl.dll regsvr32 shdocvw.dll regsvr32 urlmon.dll regsvr32 browseui.dll regsvr32 oleaut32.dll regsvr32 shel			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaEYwb.html" rel="bookmark" class="title">挡不住的好奇心：ASP&period;NET 5是如何通过XRE实现跨平台的</a>
					<div>
						.NET程序员也有自己的幸福,.NET的跨平台是一种幸福,.NET的开源也是一种幸福,而更幸福的是可以通过开源的.NET了解.NET是如何一步步走向跨平台的,所以幸福是一种过程. 在.NET跨平台的进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zerwOb.html" rel="bookmark" class="title">10种在SEO之外获得网站流量的方式</a>
					<div>
						seo|流量 每个人都希望获得来自搜索引擎的自然的排名(左侧排名),但要掌握搜索引擎排名规则的变化将是一件巨大的工程. 但是,如果你建立了一个以好内容为基础的站点并且按照本篇文章介绍的方法实施,你会获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNAa4b.html" rel="bookmark" class="title">ASP进阶之文章在线管理更新&lpar;6&rpar;</a>
					<div>
						前面已经为大家介绍了文章的添加保存,接下来就应该讲讲文章的显示了.在这里,你更加可以看出ASP的简单易用性,仅仅是通过一个文件,就可以对数据库内的所有文章进行显示.它主要是通过从连接返回的文章号(ar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyQ8ZM.html" rel="bookmark" class="title">33个创意和漂亮的logo设计实例</a>
					<div>
						Logo设计,和其它设计一样,有的时候需要一些灵感来点燃创意.如果你需要一些logo设计灵感,这里是一辑包含33个创意和漂亮的logo设计收集,他们包括各种类型,设计的都很棒! 很多有创意的logo设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7a2ZM.html" rel="bookmark" class="title">5种方法教您辨别劣质SEO服务商</a>
					<div>
						随着网络营销和SEO的不断专业化,许许多多的网站主或者中小企业被SEO服务商的花言巧语捧得天花乱坠.没有这方面专业知识的网站主或者负责人大意的将自己的网站交给他们,经过他们的&quot;优化&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ72ZDb.html" rel="bookmark" class="title">让SQL Server数据支持XML</a>
					<div>
						如果你在IT业工作,那么你很可能听说过XML:但如果你的工作主要与SQL Server有关,那么你可能并没有直接运用过XML.XML已经是Web编程环境中的普遍的数据格式了,而且它也是.NET Fra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO0rWM.html" rel="bookmark" class="title">经典算法&lpar;13&rpar; 随机生成和为S的N个正整数&mdash;&mdash;投影法</a>
					<div>
						随机生成和为S的N个正整数有很多种解法.下面讲解一种比较高效且比较有趣味性的解法--投影法. 以生成和为20的4个数为例,可以先生成随机生成0到20之间的三个数字再排序,假设得到了4,7,18 .然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlVa8b.html" rel="bookmark" class="title">ps打造蚀金属字教程</a>
					<div>
						每当在电影.电视中看到腐蚀金属字体时,总会勾起人们对某个时代的思考,本教程就来教你制作腐蚀金属字体,字体主要通过photoshop滤镜中的各种效果实现,下面就一起来看看具体制作方法吧. photosh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwy5vz.html" rel="bookmark" class="title">导演别人的联想：图形化设计 内涵不能牵强</a>
					<div>
						联想,不是说lenovo哦~ 是说人们的一种心理活动,这种心理活动让人对世界有了自然的理解和表达. 通过对自然界事物的理解.抽象演化,人们创造出很多图形.文字来表达各种意思,向他人传递信息. 人们不断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8gBkb.html" rel="bookmark" class="title">PS高饱和华丽梦幻色人像</a>
					<div>
						  关于高饱和摄影: 近些年日系小清新的低饱和人像一直是大众审美比较喜爱的,日系色调在人像摄影中也确实有着举足轻重的地位,追求日系色调的摄影师更是前仆后继.但我更喜欢颜色丰富夸张,影像可以令人印象深刻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkKxOb.html" rel="bookmark" class="title">win7系统注册表怎么使用</a>
					<div>
						  对于多数经常修改系统设置的用户来说,对win7系统上的注册表编辑器应该不会陌生才是.但是如果不常去修改到系统上的一些数据或者配置的用户来说,注珊表编辑器可能于他们而言是陌生复杂的.什么是注册表编辑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0W307b.html" rel="bookmark" class="title">从U盘安装RedHat Linux的具体步骤</a>
					<div>
						  从U盘安装RedHat Linux的具体步骤: 准备工作: rhel-5.3-server-i386-dvd.ISO文件; 绿色版UltraISO软件; 具体步骤: 1.解压并用ultraiso软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWXdZp.html" rel="bookmark" class="title">数据狗的杭州房价研究</a>
					<div>
						漫长的等待 09-10年,杭州的房价轰轰烈烈,09一年, 杭州出让土地获得收入1200亿元,相当于当年度预期内财政收入的一倍左右,超过北上广深四大一线城市成为全国最高.当年许多楼盘确实几乎翻了一倍,成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o3xRb.html" rel="bookmark" class="title">云栖长卷：一张图看懂云栖七年</a>
					<div>
						7年前投下的一颗石子,7年后已经激荡成为一段壮阔的波浪. 2010年,与阿里云共同起步的,还有一场让中国互联网开始接触.了解云服务的大会--云栖大会. 云栖长卷一张图看懂云栖七年 ▼					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPN7rp.html" rel="bookmark" class="title">as 3&period;0做放大镜效果代码</a>
					<div>
						参数变量:mc:需要放大的图形*/ as 3.0做放大镜效果代码 package maths{         import flash.display.Bitmap;         import  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwG7wp.html" rel="bookmark" class="title">iOS7 兼容适配   如何判断版本号</a>
					<div>
						很多时候我们需要做不同版本的适配,所以首先要进行版本选择 方式一 &lt;span class=&quot;line-number&quot; style=&quot;color: inherit ! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQxBLp.html" rel="bookmark" class="title">我想通过jquery实现点击导航图片后，切换到点击后的图片。</a>
					<div>
						问题描述 我想通过jquery实现点击导航图片后,切换到点击后的图片. 我想通过jquery实现点击导航图片后,切换到点击后的图片,请问 哪位大神帮帮忙,能给一个 给我吗? 54033997 我QQ  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx99Rb.html" rel="bookmark" class="title">c&plus;&plus; 初级程序-C&plus;&plus;初学者 初级程序解释</a>
					<div>
						问题描述 C++初学者 初级程序解释 大神你好~ 我是一名C++ 初学者 这是我的一个作业~ 可是我看不太懂, 您能不能给我解释一下 ?谢谢~ #include using namespace std ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ9xLp.html" rel="bookmark" class="title">debug</a>
					<div>
						问题描述 debug调试多层架构的web项目时,可以深入追踪到问题的底层方法吗?例如SSH项目数据库表修改了,导致dao,service,web层调用该表数据都出错,我在action相关方法上做deb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2nWnb.html" rel="bookmark" class="title">25000个布满恶意软件的摄像头组成的僵尸网络</a>
					<div>
						据称,大量通过互联网成功入侵的闭路电视摄像头正被用于干掉全球各地的计算机.美国安全组织Sucuri在调查一起针对传统珠宝店的网络攻击时相当容易地发现了这一由25000台设备组成的强大僵尸网络.     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke7Bjb.html" rel="bookmark" class="title">Android实现SwipeBack（右滑退出）效果</a>
					<div>
						效果演示 初始状态 滑动中状态 结束状态 这是目前实现在SegmentFault for Android v2.6中的效果. 一切一切的之前,感谢 ikew0ng/SwipeBackLayout 我使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJ5wWp.html" rel="bookmark" class="title">&lbrack;用UpdateLayeredWindow实现任意异形窗口&rsqb;</a>
					<div>
						前面提到,我们可以用SetWindowRgn或SetLayeredWindowAttributes实现不规则以及半透明的效果 对于SetWindowRgn,它通过一个Rgn来设置区域,这个Rgn一般可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy5r4z.html" rel="bookmark" class="title">虚拟机开机遇到问题，求解决</a>
					<div>
						问题描述 虚拟机开机遇到问题,求解决 解决方案 我可以远程帮助你,我前几天也装了 解决方案二: 你的处理器是否支持虚拟化,并且在bios中正确启用它.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK3QZp.html" rel="bookmark" class="title">i 无线连接投影仪-iOS 无线连接投影仪谁用过？</a>
					<div>
						问题描述 iOS 无线连接投影仪谁用过? iOS 怎么实现通过wifi等之类的手段连接投影仪来显示?我用过用ipad来连接投影仪来播放视频,不知道是怎么实现的,有没有人指点一下?发个教程或者相关的资料 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2KVwz.html" rel="bookmark" class="title">简单的php写入数据库类代码分享&lowbar;php技巧</a>
					<div>
						不知道原创要写到随笔里. All right ,第一篇博文. 有三个类: 1 . 过滤输入(轻量级的) class input_filter 负责将参数,如$_GET,$_POST 这些过滤 返回值类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL4YEM.html" rel="bookmark" class="title">android-Android notifyDataSetChanged&plus;观察者模式</a>
					<div>
						问题描述 Android notifyDataSetChanged+观察者模式 notifyDataSetChanged这个方法.下面是BaseAdapter源码 在用这个方法的时候,好像就直接调用了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1mP6M.html" rel="bookmark" class="title">综合布线设备间与进线间管理</a>
					<div>
						综合布线设备间管理设备间是智能化建筑的 电话交换机设备和计算机网络设备,以及建筑物配线设备(BD)安装的地点,也是进行网络管理的场所.对于综合布线系统工程设计而言,设备间主要安装总配线设备.当通信(信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRvkaz.html" rel="bookmark" class="title">Photoshop是怎么做出拓印字体的？</a>
					<div>
						1.新建一个文档,大小自己看着设置,不过建议最好是一个高度大于宽度数值的文档.背景色为白色. 2.然后我们在新建的文档上打上字,用直排文字工具,可以找到工具栏中的&quot;T&quot;点击设置,也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z43gdrp.html" rel="bookmark" class="title">第30次中国互联网络发展状况统计报告</a>
					<div>
						刚刚发布的&lt;第30次中国互联网络发展状况统计报告&gt;显示,截至2012年6月30日,我国域名总数达到873万个,其中,CN域名数为398万个,占我国域名总数比例为45.6%.相比2011年底 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLkWOp.html" rel="bookmark" class="title">！！！！！急，急，急，急，急！！！请问我这个拼写的语句哪里错了啊？</a>
					<div>
						问题描述 $(&quot;#div1&quot;).append(&quot;&lt;lablefor='&quot;+data[i].TypeID+&quot;'onclick=display('& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
